org.apache.flume.channel.file.proto

## Class ProtosFactory.LogFileMetaData

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.flume.channel.file.proto.ProtosFactory.LogFileMetaData

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, ProtosFactory.LogFileMetaDataOrBuilder
  Enclosing class:
    ProtosFactory

      public static final class ProtosFactory.LogFileMetaData
      extends com.google.protobuf.GeneratedMessage
      implements ProtosFactory.LogFileMetaDataOrBuilder

  Protobuf type `LogFileMetaData`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProtosFactory.LogFileMetaData.Builder` Protobuf type `LogFileMetaData`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BACKUPCHECKPOINTPOSITION_FIELD_NUMBER`
    `static int` | `BACKUPCHECKPOINTWRITEORDERID_FIELD_NUMBER`
    `static int` | `CHECKPOINTPOSITION_FIELD_NUMBER`
    `static int` | `CHECKPOINTWRITEORDERID_FIELD_NUMBER`
    `static int` | `ENCRYPTION_FIELD_NUMBER`
    `static int` | `LOGFILEID_FIELD_NUMBER`
    `static com.google.protobuf.Parser<ProtosFactory.LogFileMetaData>` | `PARSER`
    `static int` | `VERSION_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBackupCheckpointPosition()` `optional sfixed64 backupCheckpointPosition = 6;`
    `long` | `getBackupCheckpointWriteOrderID()` `optional sfixed64 backupCheckpointWriteOrderID = 7;`
    `long` | `getCheckpointPosition()` `required sfixed64 checkpointPosition = 3;`
    `long` | `getCheckpointWriteOrderID()` `required sfixed64 checkpointWriteOrderID = 4;`
    `static ProtosFactory.LogFileMetaData` | `getDefaultInstance()`
    `ProtosFactory.LogFileMetaData` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `ProtosFactory.LogFileEncryption` | `getEncryption()` `optional .LogFileEncryption encryption = 5;`
    `ProtosFactory.LogFileEncryptionOrBuilder` | `getEncryptionOrBuilder()` `optional .LogFileEncryption encryption = 5;`
    `int` | `getLogFileID()` `required sfixed32 logFileID = 2;`
    `com.google.protobuf.Parser<ProtosFactory.LogFileMetaData>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `int` | `getVersion()` `required sfixed32 version = 1;`
    `boolean` | `hasBackupCheckpointPosition()` `optional sfixed64 backupCheckpointPosition = 6;`
    `boolean` | `hasBackupCheckpointWriteOrderID()` `optional sfixed64 backupCheckpointWriteOrderID = 7;`
    `boolean` | `hasCheckpointPosition()` `required sfixed64 checkpointPosition = 3;`
    `boolean` | `hasCheckpointWriteOrderID()` `required sfixed64 checkpointWriteOrderID = 4;`
    `boolean` | `hasEncryption()` `optional .LogFileEncryption encryption = 5;`
    `boolean` | `hasLogFileID()` `required sfixed32 logFileID = 2;`
    `boolean` | `hasVersion()` `required sfixed32 version = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static ProtosFactory.LogFileMetaData.Builder` | `newBuilder()`
    `static ProtosFactory.LogFileMetaData.Builder` | `newBuilder(ProtosFactory.LogFileMetaData prototype)`
    `ProtosFactory.LogFileMetaData.Builder` | `newBuilderForType()`
    `protected ProtosFactory.LogFileMetaData.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static ProtosFactory.LogFileMetaData` | `parseDelimitedFrom(InputStream input)`
    `static ProtosFactory.LogFileMetaData` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(byte[] data)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(com.google.protobuf.ByteString data)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(InputStream input)`
    `static ProtosFactory.LogFileMetaData` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `ProtosFactory.LogFileMetaData.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<ProtosFactory.LogFileMetaData> PARSER

    - #### VERSION_FIELD_NUMBER

          public static final int VERSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### LOGFILEID_FIELD_NUMBER

          public static final int LOGFILEID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### CHECKPOINTPOSITION_FIELD_NUMBER

          public static final int CHECKPOINTPOSITION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### CHECKPOINTWRITEORDERID_FIELD_NUMBER

          public static final int CHECKPOINTWRITEORDERID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENCRYPTION_FIELD_NUMBER

          public static final int ENCRYPTION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### BACKUPCHECKPOINTPOSITION_FIELD_NUMBER

          public static final int BACKUPCHECKPOINTPOSITION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### BACKUPCHECKPOINTWRITEORDERID_FIELD_NUMBER

          public static final int BACKUPCHECKPOINTWRITEORDERID_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static ProtosFactory.LogFileMetaData getDefaultInstance()

    - #### getDefaultInstanceForType

          public ProtosFactory.LogFileMetaData getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<ProtosFactory.LogFileMetaData> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasVersion

          public boolean hasVersion()

      `required sfixed32 version = 1;`
      Specified by:
        `hasVersion` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getVersion

          public int getVersion()

      `required sfixed32 version = 1;`
      Specified by:
        `getVersion` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### hasLogFileID

          public boolean hasLogFileID()

      `required sfixed32 logFileID = 2;`
      Specified by:
        `hasLogFileID` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getLogFileID

          public int getLogFileID()

      `required sfixed32 logFileID = 2;`
      Specified by:
        `getLogFileID` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### hasCheckpointPosition

          public boolean hasCheckpointPosition()

      `required sfixed64 checkpointPosition = 3;`
      Specified by:
        `hasCheckpointPosition` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getCheckpointPosition

          public long getCheckpointPosition()

      `required sfixed64 checkpointPosition = 3;`
      Specified by:
        `getCheckpointPosition` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### hasCheckpointWriteOrderID

          public boolean hasCheckpointWriteOrderID()

      `required sfixed64 checkpointWriteOrderID = 4;`
      Specified by:
        `hasCheckpointWriteOrderID` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getCheckpointWriteOrderID

          public long getCheckpointWriteOrderID()

      `required sfixed64 checkpointWriteOrderID = 4;`
      Specified by:
        `getCheckpointWriteOrderID` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### hasEncryption

          public boolean hasEncryption()

      `optional .LogFileEncryption encryption = 5;`
      Specified by:
        `hasEncryption` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getEncryption

          public ProtosFactory.LogFileEncryption getEncryption()

      `optional .LogFileEncryption encryption = 5;`
      Specified by:
        `getEncryption` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getEncryptionOrBuilder

          public ProtosFactory.LogFileEncryptionOrBuilder getEncryptionOrBuilder()

      `optional .LogFileEncryption encryption = 5;`
      Specified by:
        `getEncryptionOrBuilder` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### hasBackupCheckpointPosition

          public boolean hasBackupCheckpointPosition()

      `optional sfixed64 backupCheckpointPosition = 6;`
      Specified by:
        `hasBackupCheckpointPosition` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getBackupCheckpointPosition

          public long getBackupCheckpointPosition()

      `optional sfixed64 backupCheckpointPosition = 6;`
      Specified by:
        `getBackupCheckpointPosition` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### hasBackupCheckpointWriteOrderID

          public boolean hasBackupCheckpointWriteOrderID()

      `optional sfixed64 backupCheckpointWriteOrderID = 7;`
      Specified by:
        `hasBackupCheckpointWriteOrderID` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### getBackupCheckpointWriteOrderID

          public long getBackupCheckpointWriteOrderID()

      `optional sfixed64 backupCheckpointWriteOrderID = 7;`
      Specified by:
        `getBackupCheckpointWriteOrderID` in interface `ProtosFactory.LogFileMetaDataOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(com.google.protobuf.ByteString data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(com.google.protobuf.ByteString data,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(byte[] data)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(byte[] data,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(InputStream input)
                                                         throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(InputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ProtosFactory.LogFileMetaData parseDelimitedFrom(InputStream input)
                                                                  throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ProtosFactory.LogFileMetaData parseDelimitedFrom(InputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                  throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(com.google.protobuf.CodedInputStream input)
                                                         throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ProtosFactory.LogFileMetaData parseFrom(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static ProtosFactory.LogFileMetaData.Builder newBuilder()

    - #### newBuilderForType

          public ProtosFactory.LogFileMetaData.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static ProtosFactory.LogFileMetaData.Builder newBuilder(ProtosFactory.LogFileMetaData prototype)

    - #### toBuilder

          public ProtosFactory.LogFileMetaData.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected ProtosFactory.LogFileMetaData.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.